
<!-- Warning: This file has been autogenerated by tools/makedoc.py. Manual edits will be overwritten. -->
<html>
    <head>
        <title>freesmartphone.org GSM Voice Mail Interface</title>
        <link rel="stylesheet" type="text/css" href="http://git.freesmartphone.org/?p=specs.git;a=blob_plain;f=html/style.css;hb=HEAD" />
    </head>
    <body>
    <div class="topbox">freesmartphone.org Framework DBus Interface Specification</div>


<h1>org.freesmartphone.GSM.VoiceMail</h1><h2>Description</h2>
<p>The Voice Mail interface gives access to the voice mail status.   Voice Mail is a feature provided by several operators, in which an answering  machine (voice mailbox) is provided to a caller, if the callee can't be  reached or doesn't want to be reached (i.e. by sending busy).</p>
<h2>Namespace</h2>
<p><tt>org.freesmartphone.GSM.VoiceMail</tt></p>
<h2>Methods</h2><ul>
<li><a href="#GetVoiceMailboxNumber">GetVoiceMailboxNumber</a></li>
<li><a href="#SetVoiceMailboxNumber">SetVoiceMailboxNumber</a></li>
<li><a href="#GetStoredVoiceMails">GetStoredVoiceMails</a></li>
</ul>
<h2>Signals</h2><ul>
<li><a href="#IncomingVoiceMail">IncomingVoiceMail</a></li>
</ul>
<h2>Properties</h2><i>None</i>
<h2>Errors</h2><i>None</i>
<h1>Methods</h1><h3><a name="GetVoiceMailboxNumber">GetVoiceMailboxNumber</a> ( ) &rarr; s</h3>
<p><i>Description:</i> Retrieve phone number of Voice Mailbox. </p><h4>Returns</h4><i>s: number</i><p>The Voice mailbox number. </p>
<h3><a name="SetVoiceMailboxNumber">SetVoiceMailboxNumber</a> ( s )</h3>
<p><i>Description:</i> Set phone number of Voice Mailbox. </p><h4>Parameters</h4><i>s: number</i><p>The Voice mailbox nNumber. </p>
<h3><a name="GetStoredVoiceMails">GetStoredVoiceMails</a> ( ) &rarr; as</h3>
<p><i>Description:</i> Retrieve the indices of stored voice mails on your voice mailbox. </p><h4>Returns</h4><i>as: zones</i><p>The home zone names. </p>
<h1>Signals</h1><h3><h3><a name="IncomingVoiceMail">IncomingVoiceMail</a> ( i )</h3><p><i>Description:</i> Sent, when a new voice mail has been stored on the voice mailbox. </p><h4>Parameters</h4><i>i: index</i><p>The storage index of the new message. </p></h3>

    <hr/>
    <small>
    | Specified 2008-2012 by the <a href="http://www.freesmartphone.org">Freesmartphone.org</a> team. | Join us and discuss further drafts smartphones-standards (at) linuxtogo (dot) org
    </small>
    <hr/>
    </body>
</html>

